package com.deltadna.android.sdk.net;

/**
 * This interface should be implemented to catch the results of
 * a given network request.
 */
abstract public interface DDNANetReqCb {
	/**
	 * Method called when network request completes successfully.
	 *
	 * @param req The request object.
	 */
	abstract void done(final DDNANetReq req);
	/**
	 * Method called when network request receives more data.
	 * 
	 * @param req The request object.
	 */
	abstract void progress(final DDNANetReq req);
	/**
	 * Method called when network request fails.
	 * 
	 * @param req The request object.
	 */
	abstract void failed(final DDNANetReq req);
}
